import debug from '../../debug';
import { PromiseEmitter } from './utils/promise-emitter';
import { BuildOptions } from './interfaces';
declare type RunResult = void;
export declare function buildApp(options: BuildOptions): PromiseEmitter<RunResult>;
import * as pluginHelpers from './utils/plugin-common';
export { pluginHelpers };
import * as cordovaHelpers from './cordova';
export { cordovaHelpers };
declare const logger: {
    setLevel: (customLevel: string) => void;
    setLogger: (customLogger: (...messages: any[]) => void) => void;
};
export { logger, debug };
