'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var tslib = require('tslib');
var zipTap = require('zip-tap');
var child_process = require('child_process');
var nodePath = _interopDefault(require('path'));

zipTap.describe("cli", function (it) { return tslib.__awaiter(void 0, void 0, void 0, function () {
    return tslib.__generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4 /*yield*/, it("should build the electron app", function (expect) { return tslib.__awaiter(void 0, void 0, void 0, function () {
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, new Promise(function (resolve) {
                                    var child = child_process.exec(nodePath.resolve('bin/driza.js') + " nowatch compile --verbose", {
                                        cwd: nodePath.resolve('tests/fixture'),
                                    });
                                    child.stdout.on('data', function (data) {
                                        process.stdout.write(data);
                                    });
                                    child.stderr.on('data', function (data) {
                                        process.stdout.write(data);
                                    });
                                    child.on('close', function (code) {
                                        if (code)
                                            expect(1).toBe(2);
                                        resolve();
                                    });
                                })];
                            case 1:
                                _a.sent();
                                return [2 /*return*/];
                        }
                    });
                }); })];
            case 1:
                _a.sent();
                return [4 /*yield*/, it("should build the android app", function (expect) { return tslib.__awaiter(void 0, void 0, void 0, function () {
                        return tslib.__generator(this, function (_a) {
                            switch (_a.label) {
                                case 0: return [4 /*yield*/, new Promise(function (resolve) {
                                        var child = child_process.exec(nodePath.resolve('bin/driza.js') + " nowatch android compile --verbose", {
                                            cwd: nodePath.resolve('tests/fixture'),
                                        });
                                        child.stdout.on('data', function (data) {
                                            process.stdout.write(data);
                                        });
                                        child.stderr.on('data', function (data) {
                                            process.stdout.write(data);
                                        });
                                        child.on('close', function (code) {
                                            if (code)
                                                expect(1).toBe(2);
                                            resolve();
                                        });
                                    })];
                                case 1:
                                    _a.sent();
                                    return [2 /*return*/];
                            }
                        });
                    }); })];
            case 2:
                _a.sent();
                return [2 /*return*/];
        }
    });
}); });
