/// <reference types="node" />
import { EventEmitter } from 'events';
declare type AsyncFunction<T> = () => Promise<T>;
export declare class PromiseEmitter<T> extends EventEmitter {
    private func;
    set(fn: AsyncFunction<T>): void;
    run(): Promise<T>;
}
export {};
